package com.oguerreiro.resilient.domain;

import static com.oguerreiro.resilient.domain.MetadataValueTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class MetadataValueTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(MetadataValue.class);
        MetadataValue metadataValue1 = getMetadataValueSample1();
        MetadataValue metadataValue2 = new MetadataValue();
        assertThat(metadataValue1).isNotEqualTo(metadataValue2);

        metadataValue2.setId(metadataValue1.getId());
        assertThat(metadataValue1).isEqualTo(metadataValue2);

        metadataValue2 = getMetadataValueSample2();
        assertThat(metadataValue1).isNotEqualTo(metadataValue2);
    }
}
